#!/bin/bash
PORT=''
USER=''
SSH_KEY=''

show_usage() {
  printf "\
Usage: push.sh [options] server_ip
Options:
  -p   port Number - default 22
  -u   user - default root
  -i   ssh key file

Example:
  push.sh -p 2222 127.0.0.1
  sync the file to localhost on port 2222
"
}

if [ $# -eq 0 ]; then
show_usage
exit 1;
fi

while getopts 'hp:u:i:' flag; do
  case "${flag}" in
    p) PORT=${OPTARG};;
    u) USER=${OPTARG};;
    i) SSH_KEY=${OPTARG};;
    h) show_usage
       exit 1 ;;
  esac
done

if [ "$PORT" == "" ] ; then PORT="22"; fi
if [ "$USER" == "" ] ; then USER="woodcutter"; fi
if [ "$SSH_KEY" != "" ] ; then SSH_KEY="-i $SSH_KEY"; fi

for server_address in $@; do :; done
ssh_command="ssh -o StrictHostKeyChecking=no -p $PORT $SSH_KEY"
rsync -pv -e "$ssh_command" -o -g --chown=woodcutter:woodcutter --no-perms ./server $USER@$server_address:/opt/tinyhatchet/
$ssh_command $USER@$server_address 'sudo rc-service tinyhatchet restart'