package authentication

type APIToken struct {
	Name   *string `db:"name"`
	UserID string  `db:"user_id"`
	ID     string  `db:"id" json:"id"`
	Secret string  `db:"hashed_secret" json:"secret"`
}

func (token APIToken) GetPID() string {
	return token.UserID
}

func (token *APIToken) PutPID(pid string) {
	token.UserID = pid
}

func (token APIToken) GetID() string {
	return token.ID
}

func (token *APIToken) PutID(id string) {
	token.ID = id
}

func (token *APIToken) GetName() string {
	if token.Name == nil {
		return ""
	}
	return *token.Name
}

func (token *APIToken) PutName(name string) {
	if name == "" {
		token.Name = nil
		return
	}
	token.Name = &name
}

func (token APIToken) GetSecret() string {
	return token.Secret
}

func (token *APIToken) PutSecret(secret string) {
	token.Secret = secret
}
