package webserver

import (
	"context"
	"io"
	"time"

	"git.codemonkeysoftware.net/mouseion/server/pkg/authentication/apitoken"
	"git.codemonkeysoftware.net/mouseion/server/pkg/entry"

	"github.com/CloudyKit/jet/v6"
	"github.com/volatiletech/authboss/v3"
)

type EntryStorer interface {
	Save(ctx context.Context, logEntry *entry.LogEntry) error
	GetEntries(ctx context.Context, email string, start, end time.Time, tags []string) ([]entry.LogEntry, error)
}

type AuthStorer interface {
	Save(ctx context.Context, user authboss.User) error
}

type TokenService interface {
	ListTokens(ctx context.Context, userID string) ([]apitoken.Token, error)
}

type Templateer interface {
	Execute(w io.Writer, tempalatePath string, variables jet.VarMap, data interface{}) error
}
